#
# spec file for package rubygem-rake (Version 0.7.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           rubygem-rake
%define mod_name rake
#
Version:        0.7.3
Release:        1.4
#
License:        X11/MIT
Group:          Development/Languages/Ruby
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
Requires:       rubygems >= 0.8.11
#
URL:            http://rake.rubyforge.org/
#               http://rubyforge.org/projects/rake/
Source:         http://rubyforge.org/frs/download.php/19878/rake-0.7.3.gem
#
Summary:        Ruby Make

%description
This package contains Rake, a simple ruby build program with
capabilities similar to make.

Rake has the following features:

* Rakefiles (rake's version of Makefiles) are completely defined in
   standard Ruby syntax.  No XML files to edit.  No quirky Makefile
   syntax to worry about (is that a tab or a space?)

* Users can specify tasks with prerequisites.

* Rake supports rule patterns to sythesize implicit tasks.

*  Flexible FileLists that act like arrays but know about
   manipulating file names and paths.

* A library of prepackaged tasks to make building rakefiles easier.



Authors:
--------
    Jim Weirich <jim@weirichhouse.org>

%prep

%build

%install
gem install --build-root=%{buildroot} %{S:0}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/
%{_bindir}/%{mod_name}

%changelog
* Mon May 14 2007 mrueckert@suse.de
- upodate to version 0.7.3
  * Added existing and existing! methods to FileList
  * FileLists now claim to be Arrays (via is_a?) to get better
    support from the FileUtil module.
  * Added init and top_level for custom rake applications.
- additional changes from 0.7.2
  * Error messages are now send to stderr rather than stdout
    (from Payton Quackenbush).
  * Better error handling on invalid command line arguments
    (from Payton Quackenbush).
  * Added rcov task and updated unit testing for better code
    coverage.
  * Fixed some bugs where the application object was going to the
    global appliation instead of using its own data.
  * Added square and curly bracket patterns to FileList#include
    (Tilman Sauerbeck).
  * Added plain filename support to rule dependents (suggested by
    Nobu Nakada).
  * Added pathmap support to rule dependents.
  * Added a 'tasks' method to a namespace to get a list of tasks
    associated with the namespace.
  * Fixed the method name leak from FileUtils (bug found by Glenn
    Vanderburg).
  * Added rake_extension to handle detection of extension
    collisions.
  * Added test for noop, bad_option and verbose flags to sh
    command.
  * Removed dependency on internal fu_xxx functions from FileUtils.
  * Added a 'shame' task to the Rakefile.
  * Added tar_command and zip_command options to the Package task.
  * Added a description to the gem task in GemPackageTask.
  * Fixed a bug when rules have multiple prerequisites (patch by
    Joel VanderWerf)
  * Added a protected 'require "rubygems"' to test/test_application
    to unbreak cruisecontrol.rb.
  * Added the handful of RakeFileUtils to the private method as
    well.
  * Added block based exclusion.
  * The clean task will no longer delete 'core' if it is a
    directory.
  * Removed rake_dup.  Now we just simply rescue a bad dup.
  * Refactored the FileList reject logic to remove duplication.
  * Removed if __FILE__ at the end of the rake.rb file.
* Wed Jun 21 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Update to version 0.7.1
- Switched to gem based rake.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 mrueckert@suse.de
- Update to version 0.7.0
* Mon Oct 17 2005 mrueckert@suse.de
- Initial package of version 0.6.2
